#
# spec file for package dj64
#

Name: dj64dev
Version: 0.0.git.919.14c05da4
Release: 1%{?dist}
Summary: 64-bit djgpp-compatible dev suite

Group: Development/Libraries

License: GPLv3+
URL: https://github.com/stsp/dj64dev
VCS: git+https://github.com/stsp/dj64dev.git#14c05da410f338c890f9fd32e3705b3f31710ed5:
Source0: dj64dev-14c05da4.tar.gz

BuildRequires: make
BuildRequires: sed
BuildRequires: bash
BuildRequires: gcc
BuildRequires: binutils
BuildRequires: gcc-x86_64-linux-gnu
BuildRequires: binutils-x86_64-linux-gnu
BuildRequires: coreutils
BuildRequires: elfutils-libelf-devel
BuildRequires: thunk-gen
BuildRequires: pkgconf-pkg-config
BuildRequires: ctags

%description
dj64 is a 64-bit djgpp-compatible dev suite.

%prep
%setup -T -b 0 -q -n dj64dev

%build
make CROSS_PREFIX=x86_64-linux-gnu-

%check

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_prefix}/i386-pc-dj64/lib64/*.so.*

%package devel
Summary: dj64 development headers
Requires: dj64
%description devel
This package contains headers for dj64 usage.

%files devel
%defattr(-,root,root)
%{_includedir}/djdev64
%{_prefix}/i386-pc-dj64/include
%{_prefix}/i386-pc-dj64/lib/*.a
%{_libdir}/*.so
%{_prefix}/i386-pc-dj64/lib64/*.so
%{_prefix}/i386-pc-dj64/bin/*
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc

%changelog
